# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_可发放客户清单,2271,2271-47,sit,bs
主数据平台:后台运营系统可发放客户清单查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利发放明细
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url33")
request_body = commonFuc().get_business_data(module, "payload33")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成一个随机数
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)

# 获取返利规则信息
rebate_trip_td = result["data"]["list"][rebate_random]["rebateTripId"]

# 第三步获取获取可发放客户清单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url37")
request_body = commonFuc().get_business_data(module, "payload37", rebate_trip_td)
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成一个随机数字
product_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取获取可发放客户清单信息
customer_name = result["data"]["list"][product_random]["customerName"]
customer_code = result["data"]["list"][product_random]["customerCode"]

# 第四步进行可发放客户清单查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url38")
request_body = commonFuc().get_business_data(module, "payload38", rebate_trip_td, customer_name, customer_code)
print(request_body)
"""
 场景: 列表查询条件验证_可发放客户清单
 用例名称：列表查询条件验证_可发放客户清单
 输出：{"customerCode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取查询结果中可发放客户清单信息
result = {"customerCode": result["data"]["list"][0]["customerCode"]}

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict38", customer_code)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
